### Method

# Gio ListStore append

since: 2.44

#### Declaration

    void
    g_list_store_append (
      GListStore* store,
      GObject* item
    )

#### Description

Appends `item` to `store`. `item` must be of type `GListStore:item-type`.

This function takes a ref on `item`.

Use `g_list_store_splice()` to append multiple items at the same time efficiently.

Available since: 2.44

#### Parameters

`item`

  Type: `GObject`

  The new item.

  The data is owned by the caller of the method.